Name:           perl-MooseX-Meta-TypeConstraint-Mooish
Version:        0.001
Release:        3%{?dist}
Summary:        Translate Moo-style constraints to Moose-style
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Meta-TypeConstraint-Mooish/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/MooseX-Meta-TypeConstraint-Mooish-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  perl(aliased)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Meta::TypeConstraint)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(namespace::autoclean) >= 0.24
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose::More) >= 0.028
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(warnings)
Requires:       perl(Moose)
Requires:       perl(Moose::Meta::TypeConstraint)
Requires:       perl(Moose::Role)
Requires:       perl(namespace::autoclean) >= 0.24
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Moose type constraints are expected to return true if the value passes the
constraint, and false otherwise; Moo "constraints", on the other hand, die
if validation fails.

%prep
%setup -q -n MooseX-Meta-TypeConstraint-Mooish-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.001-3
- BuildReq perl-generators (dbd@ehtrace.com)

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.001-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
